Package org.optaplanner.core.impl.heuristic.selector.value.mimic

## Interface ValueMimicRecorder

- All Known Implementing Classes:
    `MimicRecordingValueSelector`

      public interface ValueMimicRecorder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addMimicReplayingValueSelector​(MimicReplayingValueSelector replayingValueSelector)` |
    `Iterator<Object>` | `endingIterator​(Object entity)` |
    `long` | `getSize()` |
    `long` | `getSize​(Object entity)` |
    `GenuineVariableDescriptor` | `getVariableDescriptor()` |
    `boolean` | `isCountable()` |
    `boolean` | `isNeverEnding()` |

- - ### Method Detail

    - #### addMimicReplayingValueSelector

          void addMimicReplayingValueSelector​(MimicReplayingValueSelector replayingValueSelector)

      Parameters:
        `replayingValueSelector` - never null

    - #### getVariableDescriptor

          GenuineVariableDescriptor getVariableDescriptor()

      Returns:
        As defined by `ValueSelector.getVariableDescriptor()`
      See Also:
        `ValueSelector.getVariableDescriptor()`

    - #### isCountable

          boolean isCountable()

      Returns:
        As defined by `Selector.isCountable()`
      See Also:
        `Selector.isCountable()`

    - #### isNeverEnding

          boolean isNeverEnding()

      Returns:
        As defined by `Selector.isNeverEnding()`
      See Also:
        `Selector.isNeverEnding()`

    - #### getSize

          long getSize()

      Returns:
        As defined by `IterableSelector.getSize()`
      See Also:
        `IterableSelector.getSize()`

    - #### getSize

          long getSize​(Object entity)

      Returns:
        As defined by `ValueSelector.getSize(Object)`
      See Also:
        `ValueSelector.getSize(Object)`

    - #### endingIterator

          Iterator<Object> endingIterator​(Object entity)

      Returns:
        As defined by `ValueSelector.endingIterator(Object)`
      See Also:
        `ValueSelector.endingIterator(Object)`